#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: tls
version: 1.2.8
id: tls-1.2.8-7d6020ab4ab482cc2d93c53e0e6b57d0

license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
stability: experimental
homepage: http://github.com/vincenthz/hs-tls
package-url:
synopsis: TLS/SSL protocol native implementation (Server and Client)
description: Native Haskell TLS and SSL protocol implementation for server and client.
             .
             This provides a high-level implementation of a sensitive security protocol,
             eliminating a common set of security issues through the use of the advanced
             type system, high level constructions and common Haskell features.
             .
             Currently implement the SSL3.0, TLS1.0, TLS1.1 and TLS1.2 protocol,
             and support RSA and Ephemeral Diffie Hellman key exchanges,
             and many extensions.
             .
             Some debug tools linked with tls, are available through the
             <http://hackage.haskell.org/package/tls-debug/>.
category: Network
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
exposed-modules: Network.TLS Network.TLS.Cipher
                 Network.TLS.Compression Network.TLS.Internal Network.TLS.Extra
                 Network.TLS.Extra.Cipher
hidden-modules: Network.TLS.Cap Network.TLS.Struct Network.TLS.Core
                Network.TLS.Context Network.TLS.Context.Internal
                Network.TLS.Credentials Network.TLS.Backend Network.TLS.Crypto
                Network.TLS.Crypto.DH Network.TLS.Extension Network.TLS.Handshake
                Network.TLS.Handshake.Common Network.TLS.Handshake.Certificate
                Network.TLS.Handshake.Key Network.TLS.Handshake.Client
                Network.TLS.Handshake.Server Network.TLS.Handshake.Process
                Network.TLS.Handshake.Signature Network.TLS.Handshake.State
                Network.TLS.Hooks Network.TLS.IO Network.TLS.MAC
                Network.TLS.Measurement Network.TLS.Packet Network.TLS.Parameters
                Network.TLS.Record Network.TLS.Record.Types
                Network.TLS.Record.Engage Network.TLS.Record.Disengage
                Network.TLS.Record.State Network.TLS.RNG Network.TLS.State
                Network.TLS.Session Network.TLS.Sending Network.TLS.Receiving
                Network.TLS.Util Network.TLS.Util.ASN1
                Network.TLS.Util.Serialization Network.TLS.Types Network.TLS.Wire
                Network.TLS.X509
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.8.3/tls-1.2.8
library-dirs: /usr/local/lib/cabal/ghc-7.8.3/tls-1.2.8
              /usr/local/lib
hs-libraries: HStls-1.2.8
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: asn1-encoding-0.8.1.3-ec4d904b38bab4f86d43b58771c79aed
         asn1-types-0.2.3-f926f4c8ffcc3ab0dc6c1ced251f30be
         base-4.7.0.1-812360bc88c9859b8259f0d90b6e2faa
         byteable-0.1.1-6b40a7289955d8e210621adb5e9b0b58
         bytestring-0.10.4.0-2182937da706a7ad10a5093b31e299db
         cereal-0.4.0.1-d0a556a13339403d1e6fd15da8331e8e
         cipher-aes-0.2.8-6d4648d4a9e90f3ca8ab7beeb278dc34
         cipher-des-0.0.6-0f1ceb9780a439e7d76debc49a34e33c
         cipher-rc4-0.1.4-8ec33e08c86149a068446630eb669ce4
         crypto-cipher-types-0.0.9-fa48ad190fc6c6a5a7c89e2e1bf8325c
         crypto-numbers-0.2.3-edfcaee600ea37f6950520f92b20f5c1
         crypto-pubkey-0.2.4-61c6dafdd608f1b4a78201fdf65ce258
         crypto-pubkey-types-0.4.2.2-3e04aa94e585dc65e377762575a58fcc
         crypto-random-0.0.7-9d482a8326c9b6b7169a0bbfeaadf863
         cryptohash-0.11.6-dac723f4aeefdcecd73ff6c9ae8544aa
         data-default-class-0.0.1-b868a62b64af60fc75c43c17f712c3ac
         mtl-2.1.3.1-8bcc0591131896cfc8761a93703d4c61
         network-2.4.2.3-dd7481ccaa1ad53154748ec81e6c49e7
         x509-1.4.11-e802944bbfe18eda59a4317d561ae605
         x509-store-1.4.4-a735b3e683c9225f69dbf0e2f2387733
         x509-validation-1.5.0-90254084cd8304c166661fd56bd0f776
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.8.3/tls-1.2.8/html/tls.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.8.3/tls-1.2.8/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
